read.gps {oce} | R Documentation

## Scan a gps data file

### Description

Read a gps file in gpx format format.

### Usage

    read.gps(file, type, debug=getOption("oceDebug"), processingLog)

### Arguments

`file` | name of file containing gps data.
`type` | type of file, which will be inferred from examination of the data if not supplied. In the present version, the only choice for `type` is `"gpx"`.
`debug` | set to TRUE to print information about the header, etc.
`processingLog` | if provided, the action item to be stored in the log. (Typically only provided for internal calls; the default that it provides is better for normal calls by a user.)

### Details

Reads GPX format files by simply finding all longitudes and latitudes; in other words, information on separate tracks, or waypoints, etc., is lost.

### Value

An object of `class` `"gps"`.

### Author(s)

Dan Kelley

### References

The GPX format is described at http://www.topografix.com/GPX/1/1/.

### See Also

The documentation for `gps-class` explains the structure of gps objects, and also outlines the other functions dealing with them.

### Examples

    ## Not run:
    library(oce)
    gps <- read.gps("~/Dropbox/dalwhoi.gpx")

    ## End(Not run)

[Package oce version 0.9-18 Index]